Skip to main content
POST
/
test_framework
/
v1
/
aiagents
/
{id}
/
upload_knowledge_base
cURL
curl --request POST \
  --url https://api.cekura.ai/test_framework/v1/aiagents/{id}/upload_knowledge_base/ \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "count": 123,
  "next": "https://api.cekura.ai/example/v1/example-external/?page=4",
  "previous": "https://api.cekura.ai/example/v1/example-external/?page=3",
  "results": [
    {
      "id": 123,
      "agent": 123,
      "file_url": "<string>",
      "file_name": "<string>",
      "file_type": "<string>",
      "file_size": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this ai agent.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Body

multipart/form-data
files
file[]
required

List of files to upload to the knowledge base

Response

count
integer
Example:

123

next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"

results
object[]